## org.eclipse.datatools.modelbase.sql.tables
Interface ViewTable

All Superinterfaces:
  DerivedTable, SQLObject, Table

All Known Implementing Classes:
  ViewTableImpl

public interface ViewTable
extends DerivedTable

A representation of the model object 'View Table'. Reference: 5WD-02-Foundation-2002-12 4.14 Tables

The following features are supported:

- `Check Type`

See Also:
  `SQLTablesPackage.getViewTable()`

Method Summary
`CheckType` `getCheckType()` Returns the value of the 'Check Type' attribute.
`void` `setCheckType(CheckType value)` Sets the value of the '`Check Type`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.DerivedTable
`getQueryExpression, setQueryExpression`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getCheckType

    public CheckType getCheckType()

  Returns the value of the 'Check Type' attribute. The literals are from the enumeration `CheckType`.

  If the meaning of the 'Check Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Check Type' attribute.
  See Also:
    `CheckType`, `setCheckType(CheckType)`, `SQLTablesPackage.getViewTable_CheckType()`

### setCheckType

    public void setCheckType(CheckType value)

  Sets the value of the '`Check Type`' attribute.

  Parameters:
    `value` - the new value of the 'Check Type' attribute.
  See Also:
    `CheckType`, `getCheckType()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.